> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 評価ステータス



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /evaluations/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /evaluations/status:
    post:
      tags:
        - Evaluations
      summary: 評価ステータス
      operationId: evaluation_status_evaluations_status_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluationStatusReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationStatusRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    EvaluationStatusReq:
      additionalProperties: false
      properties:
        call_id:
          title: Call Id
          type: string
        project_id:
          title: Project Id
          type: string
      required:
        - project_id
        - call_id
      title: EvaluationStatusReq
      type: object
    EvaluationStatusRes:
      properties:
        status:
          anyOf:
            - $ref: '#/components/schemas/EvaluationStatusNotFound'
            - $ref: '#/components/schemas/EvaluationStatusRunning'
            - $ref: '#/components/schemas/EvaluationStatusFailed'
            - $ref: '#/components/schemas/EvaluationStatusComplete'
          title: Status
      required:
        - status
      title: EvaluationStatusRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EvaluationStatusNotFound:
      additionalProperties: false
      properties:
        code:
          const: not_found
          default: not_found
          title: Code
          type: string
      title: EvaluationStatusNotFound
      type: object
    EvaluationStatusRunning:
      additionalProperties: false
      properties:
        code:
          const: running
          default: running
          title: Code
          type: string
        completed_rows:
          title: Completed Rows
          type: integer
        total_rows:
          title: Total Rows
          type: integer
      required:
        - completed_rows
        - total_rows
      title: EvaluationStatusRunning
      type: object
    EvaluationStatusFailed:
      additionalProperties: false
      properties:
        code:
          const: failed
          default: failed
          title: Code
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      title: EvaluationStatusFailed
      type: object
    EvaluationStatusComplete:
      additionalProperties: false
      properties:
        code:
          const: complete
          default: complete
          title: Code
          type: string
        output:
          additionalProperties: true
          title: Output
          type: object
      required:
        - output
      title: EvaluationStatusComplete
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````